Skip to content

@line/bot-sdk


@line/bot-sdk / shop / ShopClient

Class: ShopClient ​

Defined in: lib/shop/api/shopClient.ts:50

See ​

LineBotClient for a unified interface that wraps this client.

Constructors ​

Constructor ​

new ShopClient(config): ShopClient

Defined in: lib/shop/api/shopClient.ts:66

Initializes a new ShopClient.

Parameters ​

config ​

httpClientConfig

Configuration for this API client.

Returns ​

ShopClient

Example ​

ts
const client = new ShopClient({
  channelAccessToken: process.env.LINE_CHANNEL_ACCESS_TOKEN!,
});

Methods ​

missionStickerV3() ​

missionStickerV3(missionStickerRequest): Promise<MessageAPIResponseBase>

Defined in: lib/shop/api/shopClient.ts:85

Sends a mission sticker. Calls POST https://api.line.me/shop/v3/mission. To inspect the HTTP status code or response headers, use missionStickerV3WithHttpInfo.

Parameters ​

missionStickerRequest ​

MissionStickerRequest

Returns ​

Promise<MessageAPIResponseBase>

A promise resolving to the response body.

See ​

LINE Developers documentation


missionStickerV3WithHttpInfo() ​

missionStickerV3WithHttpInfo(missionStickerRequest): Promise<ApiResponseType<MessageAPIResponseBase>>

Defined in: lib/shop/api/shopClient.ts:100

Sends a mission sticker. Calls POST https://api.line.me/shop/v3/mission. This method returns the response body together with the underlying httpResponse.

Parameters ​

missionStickerRequest ​

MissionStickerRequest

Returns ​

Promise<ApiResponseType<MessageAPIResponseBase>>

A promise resolving to the response body together with the underlying httpResponse.

See ​

LINE Developers documentation